# Method Process.spawn()

Method spawn

  ``Process` spawn(`string` `command`, `void`|`Stdio.Stream` `stdin`, `void`|`Stdio.Stream` `stdout`, `void`|`Stdio.Stream` `stderr`, ``)`

Description

  Spawns a process that executes `command` as a command shell statement ("`/bin/sh -c <code class='reference paramref'>command`" for Unix, "`cmd /c <code class='reference paramref'>command`" for Windows).

Parameter `stdin`
Parameter `stdout`
Parameter `stderr`

  Stream objects to use as standard input, standard output and standard error, respectively, for the created process. The corresponding streams for this process are used for those that are left out.

Returns

  Returns a Process.Process object for the created process.

See also

  system, popen